<<< Previous |  | Next >>>

# FcConfigFilename

## Name

FcConfigFilename -- Find a config file

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcChar8 * `FcConfigFilename``(const FcChar8 *`name`);`

## Description

Given the specified external entity name, return the associated filename. This provides applications a way to convert various configuration file references into filename form.

A null or empty `name` indicates that the default configuration file should be used; which file this references can be overridden with the FONTCONFIG_FILE environment variable. Next, if the name starts with `~`, it refers to a file in the current users home directory. Otherwise if the name doesn't start with '/', it refers to a file in the default configuration directory; the built-in default directory can be overridden with the FONTCONFIG_PATH environment variable.

<<< Previous | Home | Next >>>
FcFontList | Up | FcConfigParseAndLoad